#!/bin/sh

# write_kernel.sh

. "$(dirname "$0")"/prmsg.sh

#####################################################################
img=$1
next_kernel_num=$2
next_boot_switch=$3
#####################################################################

echo "write_kernel: img=$1, next_kernel_num=$2, next_boot_switch=$3"
displayMsg "Kernel: img=$1" "nkernel=$2 nboot=$3"

if ! intern/update_img_partition.sh ${img} ${next_kernel_num}
then
	exit 1
fi

# if ! cp "$img" /data/update/last_kernel${next_boot_switch}
# then
#	echo "ERROR: Konnte image $img nicht sichern als /data/update/last_rootfs${next_boot_switch}"
#	exit 1
#fi

# my_kernel${next_boot_switch}_size wird in update_env.sh gesetzt...
